fTool Check geometry tools gives an error when you close the window
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15282

Description

The actual check geometry doesn't give errors, but when you close the window you get the error below.

Environment:

- Version 1.8.0

- Windows 7 64 bit

---------------------

Er is een fout opgetreden bij het uitvoeren van Python code:

Traceback (most recent call last):

  File "C:\\Tools\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doValidate.py", line 102, in closeEvent

    QMainWindow.closeEvent(self, e)

TypeError: QMainWindow.closeEvent(QCloseEvent): first argument of unbound method must have type 'QMainWindow'

Python versie:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS versie:

1.8.0-Lisboa Lisboa, 7e69248

Python pad: ['C:/Tools/OSGeo4W/apps/qgis-dev/./python', 'C:/Users/Pieter/.qgis//python', 'C:/Users/Pieter/.qgis//python/plugins',

'C:/Tools/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\Tools\\\\OSGeo4W\\\\bin\\\\python27.zip',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\bin', 'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\Tools\\\\OSGeo4W\\\\apps\\\\qgis-dev\\\\python\\\\plugins\\\\fTools\\\\tools']

Related issues:

Duplicates QGIS Application - Bug report # 5976: Python error after "Check ge... Closed 2012-07-09

History

#1 - 2012-08-07 08:42 AM - stefano campus
fixed in #5976

#2 - 2012-08-07 09:08 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
